aboutsummaryrefslogtreecommitdiffstats
path: root/yardstick/resources/scripts
diff options
context:
space:
mode:
authorJingLu5 <lvjing5@huawei.com>2016-07-25 11:01:36 +0800
committerJingLu5 <lvjing5@huawei.com>2016-07-26 08:37:56 +0800
commit3f8aabb29a49d650609832073c60589e68d9f3e8 (patch)
treed149a3648da5380866b441228141cc50b503cf58 /yardstick/resources/scripts
parente19b546f69f8d59204f669c5d637d434c833fc09 (diff)
Update setup.py to include plugin install/remove scripts and rename "script" directory to "scripts"
Change-Id: I420b391acc15e6c65816c33b8568e86d8238bcc7 Signed-off-by: JingLu5 <lvjing5@huawei.com>
Diffstat (limited to 'yardstick/resources/scripts')
-rw-r--r--yardstick/resources/scripts/install/sample.bash18
-rw-r--r--yardstick/resources/scripts/remove/sample.bash16
2 files changed, 34 insertions, 0 deletions
diff --git a/yardstick/resources/scripts/install/sample.bash b/yardstick/resources/scripts/install/sample.bash
new file mode 100644
index 000000000..21eb14680
--- /dev/null
+++ b/yardstick/resources/scripts/install/sample.bash
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Sample plugin installation script
+
+set -e
+
+cat > test.sh <<EOF
+echo "{\"Test Output\": \"Hello world!\"}"
+EOF
diff --git a/yardstick/resources/scripts/remove/sample.bash b/yardstick/resources/scripts/remove/sample.bash
new file mode 100644
index 000000000..15618df2d
--- /dev/null
+++ b/yardstick/resources/scripts/remove/sample.bash
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Sample plugin remove script
+
+set -e
+
+rm test.sh